

Fix up lots of missing conversions of do_brk().


---

 25-sparc64-akpm/arch/ia64/kernel/sys_ia64.c         |    2 +-
 25-sparc64-akpm/arch/mips/kernel/irixelf.c          |    8 ++++----
 25-sparc64-akpm/arch/mips/kernel/sysirix.c          |    2 +-
 25-sparc64-akpm/arch/sparc/kernel/sys_sunos.c       |    2 +-
 25-sparc64-akpm/arch/sparc64/kernel/binfmt_aout32.c |   14 ++++++++------
 5 files changed, 15 insertions(+), 13 deletions(-)

diff -puN arch/ia64/kernel/sys_ia64.c~bssprot-more-fixes arch/ia64/kernel/sys_ia64.c
--- 25-sparc64/arch/ia64/kernel/sys_ia64.c~bssprot-more-fixes	2004-04-21 23:04:00.367651048 -0700
+++ 25-sparc64-akpm/arch/ia64/kernel/sys_ia64.c	2004-04-21 23:04:00.376649680 -0700
@@ -147,7 +147,7 @@ ia64_brk (unsigned long brk)
 		goto out;
 
 	/* Ok, looks good - let it rip. */
-	if (do_brk(oldbrk, newbrk-oldbrk) != oldbrk)
+	if (do_brk(oldbrk, newbrk-oldbrk, VM_DATA_DEFAULT_FLAGS) != oldbrk)
 		goto out;
 set_brk:
 	mm->brk = brk;
diff -puN arch/mips/kernel/irixelf.c~bssprot-more-fixes arch/mips/kernel/irixelf.c
--- 25-sparc64/arch/mips/kernel/irixelf.c~bssprot-more-fixes	2004-04-21 23:04:00.368650896 -0700
+++ 25-sparc64-akpm/arch/mips/kernel/irixelf.c	2004-04-21 23:04:00.377649528 -0700
@@ -127,7 +127,7 @@ static void set_brk(unsigned long start,
 	end = PAGE_ALIGN(end);
 	if (end <= start)
 		return;
-	do_brk(start, end - start);
+	do_brk(start, end - start, VM_DATA_DEFAULT_FLAGS);
 }
 
 
@@ -376,7 +376,7 @@ static unsigned int load_irix_interp(str
 
 	/* Map the last of the bss segment */
 	if (last_bss > len) {
-		do_brk(len, (last_bss - len));
+		do_brk(len, (last_bss - len), VM_DATA_DEFAULT_FLAGS);
 	}
 	kfree(elf_phdata);
 
@@ -564,7 +564,7 @@ void irix_map_prda_page (void)
 	unsigned long v;
 	struct prda *pp;
 
-	v =  do_brk (PRDA_ADDRESS, PAGE_SIZE);
+	v =  do_brk(PRDA_ADDRESS, PAGE_SIZE, VM_DATA_DEFAULT_FLAGS);
 
 	if (v < 0)
 		return;
@@ -856,7 +856,7 @@ static int load_irix_library(struct file
 	len = (elf_phdata->p_filesz + elf_phdata->p_vaddr+ 0xfff) & 0xfffff000;
 	bss = elf_phdata->p_memsz + elf_phdata->p_vaddr;
 	if (bss > len)
-	  do_brk(len, bss-len);
+		do_brk(len, bss-len, VM_DATA_DEFAULT_FLAGS);
 	kfree(elf_phdata);
 	return 0;
 }
diff -puN arch/mips/kernel/sysirix.c~bssprot-more-fixes arch/mips/kernel/sysirix.c
--- 25-sparc64/arch/mips/kernel/sysirix.c~bssprot-more-fixes	2004-04-21 23:04:00.370650592 -0700
+++ 25-sparc64-akpm/arch/mips/kernel/sysirix.c	2004-04-21 23:04:00.378649376 -0700
@@ -586,7 +586,7 @@ asmlinkage int irix_brk(unsigned long br
 	 * Ok, looks good - let it rip.
 	 */
 	mm->brk = brk;
-	do_brk(oldbrk, newbrk-oldbrk);
+	do_brk(oldbrk, newbrk-oldbrk, VM_DATA_DEFAULT_FLAGS);
 	ret = 0;
 
 out:
diff -puN arch/sparc64/kernel/binfmt_aout32.c~bssprot-more-fixes arch/sparc64/kernel/binfmt_aout32.c
--- 25-sparc64/arch/sparc64/kernel/binfmt_aout32.c~bssprot-more-fixes	2004-04-21 23:04:00.371650440 -0700
+++ 25-sparc64-akpm/arch/sparc64/kernel/binfmt_aout32.c	2004-04-21 23:04:00.379649224 -0700
@@ -49,7 +49,7 @@ static void set_brk(unsigned long start,
 	end = PAGE_ALIGN(end);
 	if (end <= start)
 		return;
-	do_brk(start, end - start);
+	do_brk(start, end - start, VM_DATA_DEFAULT_FLAGS);
 }
 
 /*
@@ -246,10 +246,10 @@ static int load_aout32_binary(struct lin
 	if (N_MAGIC(ex) == NMAGIC) {
 		loff_t pos = fd_offset;
 		/* Fuck me plenty... */
-		error = do_brk(N_TXTADDR(ex), ex.a_text);
+		error = do_brk(N_TXTADDR(ex), ex.a_text, VM_DATA_DEFAULT_FLAGS);
 		bprm->file->f_op->read(bprm->file, (char *) N_TXTADDR(ex),
 			  ex.a_text, &pos);
-		error = do_brk(N_DATADDR(ex), ex.a_data);
+		error = do_brk(N_DATADDR(ex), ex.a_data, VM_DATA_DEFAULT_FLAGS);
 		bprm->file->f_op->read(bprm->file, (char *) N_DATADDR(ex),
 			  ex.a_data, &pos);
 		goto beyond_if;
@@ -258,7 +258,8 @@ static int load_aout32_binary(struct lin
 	if (N_MAGIC(ex) == OMAGIC) {
 		loff_t pos = fd_offset;
 		do_brk(N_TXTADDR(ex) & PAGE_MASK,
-			ex.a_text+ex.a_data + PAGE_SIZE - 1);
+			ex.a_text+ex.a_data + PAGE_SIZE - 1,
+			VM_DATA_DEFAULT_FLAGS);
 		bprm->file->f_op->read(bprm->file, (char *) N_TXTADDR(ex),
 			  ex.a_text+ex.a_data, &pos);
 	} else {
@@ -272,7 +273,7 @@ static int load_aout32_binary(struct lin
 
 		if (!bprm->file->f_op->mmap) {
 			loff_t pos = fd_offset;
-			do_brk(0, ex.a_text+ex.a_data);
+			do_brk(0, ex.a_text+ex.a_data, VM_DATA_DEFAULT_FLAGS);
 			bprm->file->f_op->read(bprm->file,(char *)N_TXTADDR(ex),
 				  ex.a_text+ex.a_data, &pos);
 			goto beyond_if;
@@ -388,7 +389,8 @@ static int load_aout32_library(struct fi
 	len = PAGE_ALIGN(ex.a_text + ex.a_data);
 	bss = ex.a_text + ex.a_data + ex.a_bss;
 	if (bss > len) {
-		error = do_brk(start_addr + len, bss - len);
+		error = do_brk(start_addr + len, bss - len,
+				VM_DATA_DEFAULT_FLAGS);
 		retval = error;
 		if (error != start_addr + len)
 			goto out;
diff -puN arch/sparc/kernel/sys_sunos.c~bssprot-more-fixes arch/sparc/kernel/sys_sunos.c
--- 25-sparc64/arch/sparc/kernel/sys_sunos.c~bssprot-more-fixes	2004-04-21 23:04:00.373650136 -0700
+++ 25-sparc64-akpm/arch/sparc/kernel/sys_sunos.c	2004-04-21 23:04:00.380649072 -0700
@@ -207,7 +207,7 @@ asmlinkage int sunos_brk(unsigned long b
 	 * Ok, we have probably got enough memory - let it rip.
 	 */
 	current->mm->brk = brk;
-	do_brk(oldbrk, newbrk-oldbrk);
+	do_brk(oldbrk, newbrk-oldbrk, VM_DATA_DEFAULT_FLAGS);
 	retval = 0;
 out:
 	up_write(&current->mm->mmap_sem);

_
